Package org.h2gis.functions.spatial.convert

## Class ST_AsEWKB

- java.lang.Object
- - org.h2gis.api.AbstractFunction
  - - org.h2gis.api.DeterministicScalarFunction
    - - org.h2gis.functions.spatial.convert.ST_AsEWKB

All Implemented Interfaces:
  `org.h2gis.api.Function`, `org.h2gis.api.ScalarFunction`

    public class ST_AsEWKB
    extends org.h2gis.api.DeterministicScalarFunction

Convert a Geometry value into an Extended Well-Known Binary.

Author:
  Nicolas Fortin

### Field Summary

### Fields inherited from interface org.h2gis.api.Function

`PROP_NAME, PROP_REMARKS`

### Fields inherited from interface org.h2gis.api.ScalarFunction

`PROP_DETERMINISTIC`

### Constructor Summary

Constructors
`ST_AsEWKB()` Default constructor

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static byte[]` `asEWKB​(org.h2.value.Value value)` Convert a Geometry value into an Extended Well-Known Binary.
`String` `getJavaStaticMethod()`

### Methods inherited from class org.h2gis.api.AbstractFunction

`addProperty, getProperty, removeProperty`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.h2gis.api.Function

`getProperty`

### Constructor Detail

#### ST_AsEWKB

    public ST_AsEWKB()

Default constructor

### Method Detail

#### getJavaStaticMethod

    public String getJavaStaticMethod()

#### asEWKB

    public static byte[] asEWKB​(org.h2.value.Value value)
                         throws SQLException

Convert a Geometry value into an Extended Well-Known Binary.

Parameters:
  `value` - Geometry instance
Returns:
  The bytes representation
Throws:
  `SQLException`